diff --git a/ImGuiFileDialog b/ImGuiFileDialog
index c536651..f67f9ef 160000
--- a/ImGuiFileDialog
+++ b/ImGuiFileDialog
@@ -1 +1 @@
-Subproject commit c53665133388afdfebd53d19f99588632a08bdf9
+Subproject commit f67f9efadc2e932cd9ba27fd957bc84522b522d2
diff --git a/tests/CMakeLists.txt b/tests/CMakeLists.txt
index 79a82b6..38f588a 100644
--- a/tests/CMakeLists.txt
+++ b/tests/CMakeLists.txt
@@ -119,3 +119,11 @@ SetTest(Test_IGFD_FileManager_Filtering_asterisk_3)
 ## Test_IGFD_FileManager -- Filtering Divers
 SetTest(Test_IGFD_FileManager_Filtering_divers_0)
 SetTest(Test_IGFD_FileManager_Filtering_divers_1)
+
+## Test_IGFD_FileStyle
+SetTest(Test_IGFD_FileStyle_ByExtention_0)
+SetTest(Test_IGFD_FileStyle_ByExtention_1)
+SetTest(Test_IGFD_FileStyle_ByExtention_2)
+SetTest(Test_IGFD_FileStyle_ByExtention_3)
+SetTest(Test_IGFD_FileStyle_ByExtention_4)
+SetTest(Test_IGFD_FileStyle_ByExtention_5)
\ No newline at end of file
diff --git a/tests/ImGuiFileDialog/Test_FileStyle.cpp b/tests/ImGuiFileDialog/Test_FileStyle.cpp
new file mode 100644
index 0000000..83ebf4f
--- /dev/null
+++ b/tests/ImGuiFileDialog/Test_FileStyle.cpp
@@ -0,0 +1,84 @@
+#include "Test_FileStyle.h"
+
+#include <cassert>
+
+#include "ImGuiFileDialog/ImGuiFileDialog.h"
+
+#pragma region Helper
+
+/*class FileStyleTestHelper {
+private:
+    IGFD::FileDialogInternal fd;
+    std::set<std::string> arr;
+
+private:
+    void compute_name_array() {
+        for (const auto& file_ptr : fd.puFileStyle.prFileList) {
+            if (file_ptr) {
+                arr.emplace(file_ptr->fileNameExt);
+            }
+        }
+    }
+
+public:
+    void addFilter(const std::string& vFilter) {
+        fd.puFilterManager.ParseFilters(vFilter.c_str());
+        fd.puFilterManager.SetSelectedFilterWithExt(vFilter);
+    }
+
+    void addFile(const std::string& vFile) {
+        fd.puFileStyle.AddFile(fd, ".", vFile, IGFD::FileType(IGFD::FileType::ContentType::File, false));
+    };
+
+    void addFiles(const std::vector<std::string>& vFiles) {
+        for (const auto& file : vFiles) {
+            addFile(file);
+        }
+    };
+
+
+    bool isFileExist(const std::string& vFile) {
+        if (arr.empty()) {
+            compute_name_array();
+        }
+        return (arr.find(vFile) != arr.end());
+    }
+};  */
+
+#pragma endregion
+
+#pragma region By Extention
+
+bool Test_IGFD_FileStyle_ByExtention_0() {
+    /* FileStyleTestHelper mgr;
+    mgr.addFilter(".*");
+    mgr.addFiles({"toto.a", "toto.b","titi.c"});
+
+    if (!mgr.isFileExist("toto.a")) return false;
+    if (!mgr.isFileExist("toto.b")) return false;
+    if (!mgr.isFileExist("titi.c")) return false;*/
+
+    return true;
+}
+
+#pragma endregion
+
+#pragma region Entry Point
+
+#define IfTestExist(v) \
+    if (vTest == std::string(#v)) return v()
+
+bool Test_FileStyle(const std::string& vTest) {
+    IfTestExist(Test_IGFD_FileStyle_ByExtention_0);
+    //IfTestExist(Test_IGFD_FileStyle_ByExtention_1);
+    //IfTestExist(Test_IGFD_FileStyle_ByExtention_2);
+    //IfTestExist(Test_IGFD_FileStyle_ByExtention_3);
+    //IfTestExist(Test_IGFD_FileStyle_ByExtention_4);
+    //IfTestExist(Test_IGFD_FileStyle_ByExtention_5);
+
+    assert(0);
+
+    return false;
+}
+
+#pragma endregion
diff --git a/tests/ImGuiFileDialog/Test_FileStyle.h b/tests/ImGuiFileDialog/Test_FileStyle.h
new file mode 100644
index 0000000..6c6ff6a
--- /dev/null
+++ b/tests/ImGuiFileDialog/Test_FileStyle.h
@@ -0,0 +1,4 @@
+#pragma once
+#include <string>
+
+bool Test_FileStyle(const std::string& vTest);
\ No newline at end of file
diff --git a/tests/ImGuiFileDialog/Test_ImGuiFileDialog.cpp b/tests/ImGuiFileDialog/Test_ImGuiFileDialog.cpp
index 4f56a99..9e75a31 100644
--- a/tests/ImGuiFileDialog/Test_ImGuiFileDialog.cpp
+++ b/tests/ImGuiFileDialog/Test_ImGuiFileDialog.cpp
@@ -1,9 +1,15 @@
 #include "Test_ImGuiFileDialog.h"
 #include "Test_FilterManager.h"
 #include "Test_FileManager.h"
+#include "Test_FileStyle.h"
 
 bool Test_ImGuiFileDialog(const std::string& vTest) {
-    if (vTest.find("IGFD_FilterManager") != std::string::npos) return Test_FilterManager(vTest);
-    else if (vTest.find("IGFD_FileManager") != std::string::npos) return Test_FileManager(vTest);
+    if (vTest.find("IGFD_FilterManager") != std::string::npos) {
+        return Test_FilterManager(vTest);
+    } else if (vTest.find("IGFD_FileManager") != std::string::npos) {
+        return Test_FileManager(vTest);
+    } else if (vTest.find("IGFD_FileStyle") != std::string::npos) {
+        return Test_FileStyle(vTest);
+    }
     return true;
 }
\ No newline at end of file
